#
# spec file for package gnome-epub-thumbnailer
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-epub-thumbnailer
Version:        1.8
Release:        1.2
Summary:        Thumbnailer for EPub books
License:        GPL-2.0-or-later
Group:          Productivity/Office/Other
URL:            https://git.gnome.org/browse/gnome-epub-thumbnailer
Source0:        https://download.gnome.org/sources/gnome-epub-thumbnailer/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libxml-2.0)

%description
Thumbnailer for EPub books.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS README
%{_bindir}/gnome-epub-thumbnailer
%{_bindir}/gnome-mobi-thumbnailer
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/gnome-epub-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/gnome-mobi-thumbnailer.thumbnailer

%changelog
* Mon Sep  9 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 1.8:
  + Work-around a French ePub not getting a cover.
* Fri Sep 30 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.7:
  + Fix thumbnailing of books with ePub 3.2 "cover-image".
  + Work-around a broken ePub not getting a cover.
  + Port build system to meson.
- Add meson BuildRequires and macros following upstreams port.
* Wed Oct 30 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.6:
  + Add support for SVG covers in ePub 3.0 files.
  + Add support for Kindle Format 8 MOBI files.
* Thu Mar  1 2018 bjorn.lie@gmail.com
- Run spec-cleaner, modernize spec, use autosetup macro.
- Update URL and Source to current home.
* Wed Jan 21 2015 zaitor@opensuse.org
- Update to version 1.5:
  + Fix MOBI crasher with malformed or missing EXTH header.
  + Fix EPub thumbnailing with cover at the root of the archive.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 1.4:
  + Create covers for encrypted MOBI files as well.
  + Fix crash when there's no cover in MOBI files.
  + Fix crash when the EPub cover cannot be found.
  + Print warnings when we cannot find the metafile, or when
    reading empty EPub files.
  + Fix crash handling files in trash or recent locations.
* Fri Aug  9 2013 dimstar@opensuse.org
- Update to version 1.3:
  + Fix a number of possible crashers in the MOBI thumbnailer.
- Changes from version 1.2:
  + Added MOBI thumbnailer.
* Thu Jul 18 2013 dimstar@opensuse.org
- Update to version 1.1:
  + Fix possible crashes or excessive warnings on failure.
* Sat Jul 13 2013 dimstar@opensuse.org
- Initial package, version 1.0.
